<?php
namespace Meramo\Mrmbepages\Domain\Model;

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;


/**
 * Domain model Activepage
 */
class Activepage extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * page uid
     *
     * @var int
     */
    protected $uid = null;

    /**
     * starttime
     *
     * @var int
     */
    protected $starttime = null;

      /**
     * endtime 
     *
     * @var int
     */
    protected $endtime = null;

    /**
     * page title
     *
     * @var string
     */
    protected $title = '';

    /**
     * roof
     *
     * @var string
     */
    protected $roof = '';

    /**
     * slug
     *
     * @var string
     */
    protected $slug= '';


    /**
    * Sets page uid
    *
    * @return void
    */
    public function setUid($uid)
    {
        return $this->uid = $uid;
    }

    /**
     * Sets starttime
     *
     * @return void
     */
    public function setStarttime($starttime)
    {
        $this->starttime = $starttime;
    }

    /**
     * Gets the endtime
     *
     * @return int
     */
    public function getEndtime()
    {
        return $this->endtime;
    }

      /**
     * Sets starttime
     * @return void
     */
    public function setEndtime($endtime)
    {
        $this->starttime = $endtime;
    }

    /**
     * Gets the starttime
     *
     * @return int
     */
    public function getStarttime()
    {
        return $this->starttime;
    }



   /**
    * Returns the title
    *
    * @return string $title
    */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Sets the title
     *
     * $return string $title
     */
    public function setTtile($title)
    {
        $this->title = $title;
    }

      /**
    * Returns the roof
    *
    * @return string $roof
    */
    public function getRoof()
    {
        return $this->roof;
    }

    /**
     * Sets the roof
     *
     * $return string $roof
     */
    public function setRoof($roof)
    {
        $this->roof = $roof;
    }

    
    /**
     * Sets the slug
     *
     * $return string $slug
     */
    public function setSlug($slug)
    {
        $this->slug = $slug;
    }

    /**
     * Get the slug
     *
     * $return string $slug
     */
    public function getSlug()
    {
        return $this->slug;
    }

}
